commit: 71c0b83f8d859141d2a39179fc9989386b0089f2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:27:57 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:38:06 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71c0b83f
sci-chemistry/relax: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-chemistry/relax/relax-4.0.0-r1.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/sci-chemistry/relax/relax-4.0.0-r1.ebuild
b/sci-chemistry/relax/relax-4.0.0-r1.ebuild
index 5a99d4554ba..da182eead0a 100644
--- a/sci-chemistry/relax/relax-4.0.0-r1.ebuild
+++ b/sci-chemistry/relax/relax-4.0.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -25,7 +25,10 @@ RDEPEND="
${PYTHON_DEPS}
dev-python/Numdifftools[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
dev-python/wxpython:${WX_GTK_VER}[${PYTHON_USEDEP}]
sci-chemistry/molmol
sci-chemistry/pymol[${PYTHON_USEDEP}]